<section id="login">
  <div class="bwm-form">
    <div class="row">
      <div class="col-md-5">
        <h1>Login</h1>

        <div *ngIf = "notifyMsg" class ="alert alert-success">{{notifyMsg}}</div>

        <form [formGroup]="loginForm" (ngSubmit)="login()">
          <div class="form-group">
            <label for="email">Email</label>
            <input type="email"
                   class="form-control"
                   id="email"
                   formControlName="email">


           <div *ngIf="loginForm.controls['email'].invalid && (loginForm.controls['email'].dirty || loginForm.controls['email'].touched)"
	    class="alert alert-danger">

	  <div *ngIf="loginForm.controls['email'].errors.required">
	    Email is required.
	  </div>
	</div>

          </div>
          <div class="form-group">
            <label for="password">Password</label>
            <input type="password"
                   class="form-control"
                   id="password"
                   formControlName="password">
          </div>
          <button [disabled]="!loginForm.valid" type="submit" class="btn btn-success">Submit</button>
        </form>

        <div *ngIf="errors.length > 0" class="alert alert-danger">
          <p *ngFor="let error of errors">
            {{error.detail}}
          </p>
        </div>

        
      </div>
      
      <div class="col-md-6 ml-auto">
        <div class="image-container">
          <img src="https://images.unsplash.com/photo-1516352267226-f5f3e4c53781?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&w=1000&q=80" height="80%" width="80%" alt="">
        </div>
      </div>

    </div>
  </div>
</section>
